gibson(6)

NAME
gibson - Hacking the Gibson screen saver.

SYNOPSIS
gibson [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed number] [--grid-width number] [--grid-depth number] [--grid-height number] [--grid-spacing number] [--columns number] [--no-texture] [--wireframe] [--fps]

DESCRIPTION
Hacking the Gibson, as per the 1995 classic film, HACKERS. "Hackers penetrate and ravage delicate public and privately owned computer systems, infecting them with viruses, and stealing materials for their own ends. These people, they are terrorists."

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--grid-width number
    Number of towers across. 1 - 20. Default: 10.

--grid-depth number
    Number of towers deep. 1 - 20. Default: 10.

--grid-height number
    Height of the towers. 1 - 20. Default: 7.

--grid-spacing number
    Space between towers.    1 - 5.    Default: 2.0.

--columns number
    Columns of text on the towers.  1 - 20.    Default: 6.

--texture | --no-texture
    Whether to draw text. Default true.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2020 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.